## fairymax 4.8q

=== Makefile ===
srcdir = .

CC=gcc
CFLAGS += -O2


ALL= fairymax shamax maxqi fairymax.6.gz

all: ${ALL}

fairymax: fairymax.c
	$(CC) $(CFLAGS) -DINI_FILE=\"/usr/share/games/fairymax/fmax.ini\" fairymax.c -o fairymax

shamax: fairymax.c
	$(CC) $(CFLAGS) -DINI_FILE=\"/usr/share/games/fairymax/fmax.ini\" -DSHATRANJ fairymax.c -o shamax

maxqi: maxqi.c
	$(CC) $(CFLAGS) -DINI_FILE=\"/usr/share/games/fairymax/qmax.ini\" maxqi.c -o maxqi

install: ${ALL} ${srcdir}/data/*
	cp -u ${srcdir}/fairymax $(DESTDIR)/usr/games
	cp -u ${srcdir}/shamax $(DESTDIR)/usr/games
	cp -u ${srcdir}/maxqi $(DESTDIR)/usr/games
	install -d -m0755 $(DESTDIR)/usr/share/games/fairymax
	cp -u ${srcdir}/data/* $(DESTDIR)/usr/share/games/fairymax
	install -d -m0755 $(DESTDIR)/usr/share/man/man6
	cp -u ${srcdir}/fairymax.6.gz $(DESTDIR)/usr/share/man/man6

fairymax.6.gz: fairymax.pod
	pod2man -s 6 fairymax.pod > fmax.man
	cp fmax.man fairymax.6
	rm -f fairymax.6.gz
	gzip fairymax.6

clean:
	rm -f ${ALL}

dist-clean:
	rm -f ${ALL} *~ data/*~ *.man md5sums

dist:
	install -d -m0755 Fairy-Max
	install -d -m0755 Fairy-Max/data
	rm -f fairymax.tar fairymax.tar.gz
	cp fairymax.c maxqi.c fairymax.pod Makefile README changelog copyright Fairy-Max
	cp data/* Fairy-Max/data
	md5 Fairy-Max/* Fairy-Max/data/* > Fairy-Max/md5sums
	tar -cvvf fairymax.tar Fairy-Max
	gzip fairymax.tar
	rm Fairy-Max/data/*
	rmdir Fairy-Max/data
	rm Fairy-Max/*
	rmdir Fairy-Max

uninstall:
	rm -f $(DESTDIR)/usr/share/games/fairymax/*
	rmdir $(DESTDIR)/usr/share/games/fairymax
	rm -f $(DESTDIR)/usr/share/man/man6/fairymax.6.gz
	rm -f $(DESTDIR)/usr/games/fairymax
	rm -f $(DESTDIR)/usr/games/shamax
	rm -f $(DESTDIR)/usr/games/maxqi

=== debian/changelog ===
fairymax (4.8q-2) unstable; urgency=low

  * Upload to unstable
  * Switch to debhelper 8

 -- Vincent Legout <vincent@legout.info>  Sun, 13 Mar 2011 20:13:54 +0100

fairymax (4.8q-1) experimental; urgency=low

  * New upstream version
  * Switch to 3.0 (quilt) source format
  * Bump to Standards-Version 3.9.1
  * Use debian/clean instead of override_dh_auto_clean to remove fmax.man
  * Update get-orig-source target

 -- Vincent Legout <vincent@legout.info>  Sat, 11 Dec 2010 12:10:42 +0100

fairymax (4.8o-1) unstable; urgency=low

  * New upstream version:
    - Remove patches, they have been merged upstream. Remove quilt dependency
  * debian/rules:
    - Update get-orig-source target
    - Remove override_dh_auto_configure, no longer needed
    - Update clean target
  * debian/fairymax.manpages: Removed
  * debian/README.source: Removed

 -- Vincent Legout <vincent@legout.info>  Sat, 23 Jan 2010 12:53:43 +0800

fairymax (4.8m-1) unstable; urgency=low

  * New upstream version (Closes: #544874)
    - Update 01_fix_ini_files_default_location patch
    - Add 02_Makefile patch
  * debian/control:
    - Bump to Standards-Version 3.8.3
    - Build-Depend on debhelper >= 7.0.50~ to support override targets
    - Update Homepage
  * debian/fairymax.install: Dropped
  * debian/fairymax.docs: Updated
  * debian/fairymax.manpages: Updated
  * debian/fairymax.6: Dropped, integrated upstream
  * debian/rules: Updated
  * debian/fairymax.dirs: Added
  * debian/README.source: Added
  * debian/copyright: Update Source field
  * debian/watch: Added

 -- Vincent Legout <vincent@legout.info>  Tue, 29 Sep 2009 13:17:55 +0800

fairymax (4.8j-1) unstable; urgency=low

  * Initial release (Closes: #537713)
  * Removed unused windows binaries from tarball

 -- Vincent Legout <vincent@legout.info>  Wed, 22 Jul 2009 11:31:28 +0200

=== debian/control ===
Source: fairymax
Section: games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Legout <vincent@legout.info>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Homepage: http://home.hccnet.nl/h.g.muller/CVfairy.html
Vcs-Git: git://git.debian.org/git/pkg-games/fairymax.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/fairymax.git

Package: fairymax
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: xboard compatible chess and chess-variant engine
 Fairymax is a program that plays chess and chess variants. It uses the
 xboard/winboard chess-engine protocol to communicate. Apart from 'regular'
 chess (also known as the Mad-Queen variant), it can play Capablanca chess,
 gothic chess, knightmate, cylinder chess, berolina chess, superchess and
 courier chess.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

major := 4.8
minor := q
minor_cap := $(shell echo $(minor) | tr a-z A-Z)

get-orig-source:
	wget "http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git;a=snapshot;h=refs/tags/$(major)$(minor_cap);sf=tgz" -O fairymax.tar.gz
	tar zxvf fairymax.tar.gz
	mv fairymax-$(major)$(minor_cap) fairymax-$(major)$(minor)
	tar czf fairymax-$(major)$(minor).orig.tar.gz fairymax-$(major)$(minor)
	rm -rf fairymax-$(major)$(minor) fairymax.tar.gz

=== debian/watch ===
# As the download link doesn't contain the version number, there isn't
# a way to write a meaningful watch file.
#
# To check the current upstream release, go to the package home page
# and check the version number in the tarball.

## fairymax 4.8v

=== Makefile ===
srcdir = .

CC?=gcc
CFLAGS?= -O2 -s
INI_F?=$(DESTDIR)/usr/share/games/fairymax/fmax.ini
INI_Q?=$(DESTDIR)/usr/share/games/fairymax/qmax.ini


ALL= fairymax shamax maxqi fairymax.6.gz

all: ${ALL}

fairymax: fairymax.c
	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) -DINI_FILE=\"${INI_F}\" fairymax.c -o fairymax

shamax: fairymax.c
	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) -DINI_FILE=\"${INI_F}\" -DSHATRANJ fairymax.c -o shamax

maxqi: maxqi.c
	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) -DINI_FILE=\"${INI_Q}\" maxqi.c -o maxqi

install: ${ALL} ${srcdir}/data/*
	cp -u ${srcdir}/fairymax $(DESTDIR)/usr/games
	cp -u ${srcdir}/shamax $(DESTDIR)/usr/games
	cp -u ${srcdir}/maxqi $(DESTDIR)/usr/games
	install -d -m0755 $(DESTDIR)/usr/share/games/fairymax
	cp -u ${srcdir}/data/fmax.ini ${srcdir}/data/qmax.ini $(DESTDIR)/usr/share/games/fairymax
	install -d -m0755 $(DESTDIR)/usr/share/man/man6
	cp -u ${srcdir}/fairymax.6.gz $(DESTDIR)/usr/share/man/man6
	install -d -m0755 $(DESTDIR)/usr/share/games/plugins/logos
	cp -u ${srcdir}/data/logo.png $(DESTDIR)/usr/share/games/plugins/logos/fairymax.png
	cp -u ${srcdir}/data/logo.png $(DESTDIR)/usr/share/games/plugins/logos/shamax.png
	cp -u ${srcdir}/data/logo.png $(DESTDIR)/usr/share/games/plugins/logos/maxqi.png
	install -d -m0755 $(DESTDIR)/usr/share/games/plugins/xboard
	cp -u ${srcdir}/data/fairymax.eng $(DESTDIR)/usr/share/games/plugins/xboard
	cp -u ${srcdir}/data/shamax.eng $(DESTDIR)/usr/share/games/plugins/xboard
	cp -u ${srcdir}/data/maxqi.eng $(DESTDIR)/usr/share/games/plugins/xboard

fairymax.6.gz: fairymax.pod
	pod2man -s 6 fairymax.pod > fmax.man
	cp fmax.man fairymax.6
	rm -f fairymax.6.gz
	gzip fairymax.6

clean:
	rm -f ${ALL}

dist-clean:
	rm -f ${ALL} *~ data/*~ *.man md5sums

dist:
	install -d -m0755 Fairy-Max
	install -d -m0755 Fairy-Max/data
	rm -f fairymax.tar fairymax.tar.gz
	cp fairymax.c maxqi.c fairymax.pod Makefile README changelog copyright Fairy-Max
	cp data/* Fairy-Max/data
	(md5sum Fairy-Max/* Fairy-Max/data/* > Fairy-Max/md5sums) || true
	tar -cvvf fairymax.tar Fairy-Max
	gzip fairymax.tar
	rm Fairy-Max/data/*
	rmdir Fairy-Max/data
	rm Fairy-Max/*
	rmdir Fairy-Max

uninstall:
	rm -f $(DESTDIR)/usr/share/games/plugins/logos/fairymax.png
	rm -f $(DESTDIR)/usr/share/games/plugins/logos/shamax.png
	rm -f $(DESTDIR)/usr/share/games/plugins/logos/maxqi.png
	rm -f $(DESTDIR)/usr/share/games/plugins/xboard/fairymax.eng
	rm -f $(DESTDIR)/usr/share/games/plugins/xboard/shamax.eng
	rm -f $(DESTDIR)/usr/share/games/plugins/xboard/maxqi.eng
	rm -f $(DESTDIR)/usr/share/games/fairymax/*
	rmdir $(DESTDIR)/usr/share/games/fairymax
	rm -f $(DESTDIR)/usr/share/man/man6/fairymax.6.gz
	rm -f $(DESTDIR)/usr/games/fairymax
	rm -f $(DESTDIR)/usr/games/shamax
	rm -f $(DESTDIR)/usr/games/maxqi

=== debian/changelog ===
fairymax (4.8v-1) unstable; urgency=medium

  * New upstream version
    - Refresh debian/patches/fix-return.patch
    - Remove debian/patches/Makefile.patch, merged upstream
    - Update get-orig-source target in debian/rules
  * debian/copyright: Add short name for fairymax license
  * Standards-Version 3.9.6

 -- Vincent Legout <vlegout@debian.org>  Sat, 25 Oct 2014 09:21:15 -0400

fairymax (4.8t-1) unstable; urgency=medium

  * New upstream version (Closes: #760816)
  * Use my debian.org email address
  * Update VCS fields, use anonscm.debian.org
  * Update get-orig-source target: Update version number and use underscore
    instead of dash to create the tarball
  * debian/copyright: Use copyright-format 1.0
  * Add a debian/watch file, thanks to Yann Dirson
  * Switch to debhelper 9
  * Add debian/patch/Makefile.patch
  * Set Standards-Version to 3.9.5
  * debian/docs: Add CVfairy.html
  * Add debian/patches/fix-return.patch: Fix FTBFS with clang
    (Closes: #743008)

 -- Vincent Legout <vlegout@debian.org>  Thu, 11 Sep 2014 17:17:39 -0400

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: games
 Priority: extra
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Vincent Legout <vincent@legout.info>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.1
+Uploaders: Vincent Legout <vlegout@debian.org>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
 Homepage: http://home.hccnet.nl/h.g.muller/CVfairy.html
-Vcs-Git: git://git.debian.org/git/pkg-games/fairymax.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/fairymax.git
+Vcs-Git: git://anonscm.debian.org/pkg-games/fairymax.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/fairymax.git
 
 Package: fairymax
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

major := 4.8
minor := v
minor_cap := $(shell echo $(minor) | tr a-z A-Z)

get-orig-source:
	wget "http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git;a=snapshot;h=refs/tags/$(major)$(minor_cap);sf=tgz" -O fairymax.tar.gz
	tar zxvf fairymax.tar.gz
	mv fairymax-$(major)$(minor_cap) fairymax-$(major)$(minor)
	tar czf fairymax_$(major)$(minor).orig.tar.gz fairymax-$(major)$(minor)
	rm -rf fairymax-$(major)$(minor) fairymax.tar.gz

## fairymax 5.0b

=== Makefile ===
srcdir = .
prefix = /usr/local
bindir = $(prefix)/bin
mandir = $(prefix)/share/man
datadir = $(prefix)/share
plugindir = $(datadir)/games/plugins
fairydir = $(datadir)/games/fairymax

CC?=gcc
CFLAGS?= -O2 -s
INI_Q?=$(fairydir)/qmax.ini
VERSION?=`grep 'define VERSION' fairymax.c | sed -e 's/.*"\(.*\)".*/\1/'`

ALL= fairymax shamax maxqi fairymax.6.gz

all: ${ALL}

fairymax: fairymax.c
	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) -DFAIRYDIR=\"${fairydir}\" fairymax.c -o fairymax

shamax: fairymax.c
	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) -DFAIRYDIR=\"${fairydir}\" -DSHATRANJ fairymax.c -o shamax

maxqi: maxqi.c
	$(CC) $(CFLAGS) $(LDFLAGS) $(CPPFLAGS) -DINI_FILE=\"${INI_Q}\" maxqi.c -o maxqi

install: ${ALL} ${srcdir}/data/*
	install -d -m0755 $(DESTDIR)$(bindir)
	cp ${srcdir}/fairymax ${srcdir}/shamax ${srcdir}/maxqi $(DESTDIR)$(bindir)
	install -d -m0755 $(DESTDIR)$(fairydir)
	cp ${srcdir}/data/*.ini $(DESTDIR)$(fairydir)
	cp ${srcdir}/data/*.hash $(DESTDIR)$(fairydir)
	install -d -m0755 $(DESTDIR)$(mandir)/man6
	cp ${srcdir}/fairymax.6.gz $(DESTDIR)$(mandir)/man6
	install -d -m0755 $(DESTDIR)$(plugindir)/logos
	cp ${srcdir}/data/logo.png $(DESTDIR)$(plugindir)/logos/fairymax.png
	cp ${srcdir}/data/logo.png $(DESTDIR)$(plugindir)/logos/shamax.png
	cp ${srcdir}/data/logo.png $(DESTDIR)$(plugindir)/logos/maxqi.png
	install -d -m0755 $(DESTDIR)$(plugindir)/xboard
	cp ${srcdir}/data/*.eng $(DESTDIR)$(plugindir)/xboard

fairymax.6.gz: fairymax.pod
	pod2man -s 6 fairymax.pod | gzip -9n > fairymax.6.gz

clean:
	rm -f ${ALL}

dist-clean:
	rm -f ${ALL} *~ data/*~ *.man md5sums

dist: fairymax
	install -d -m0755 Fairy-Max
	install -d -m0755 Fairy-Max/data
	rm -f fairymax.tar fairymax.tar.gz
	cp fairymax.c maxqi.c fairymax.pod Makefile README changelog copyright Fairy-Max
	cp data/* Fairy-Max/data
	(md5sum Fairy-Max/* Fairy-Max/data/* > Fairy-Max/md5sums) || true
	tar -cvvf fairymax-$(VERSION).tar Fairy-Max
	gzip fairymax-$(VERSION).tar
	rm fairymax
	rm Fairy-Max/data/*
	rmdir Fairy-Max/data
	rm Fairy-Max/*
	rmdir Fairy-Max

uninstall:
	rm -f $(DESTDIR)$(plugindir)/logos/fairymax.png
	rm -f $(DESTDIR)$(plugindir)/logos/shamax.png
	rm -f $(DESTDIR)$(plugindir)/logos/maxqi.png
	rm -f $(DESTDIR)$(plugindir)/xboard/fairymax.eng
	rm -f $(DESTDIR)$(plugindir)/xboard/shamax.eng
	rm -f $(DESTDIR)$(plugindir)/xboard/maxqi.eng
	rm -f $(DESTDIR)$(fairydir)/*
	rmdir $(DESTDIR)$(fairydir)
	rm -f $(DESTDIR)$(mandir)/man6/fairymax.6.gz
	rm -f $(DESTDIR)$(bindir)/fairymax
	rm -f $(DESTDIR)$(bindir)/shamax
	rm -f $(DESTDIR)$(bindir)/maxqi

=== debian/changelog ===
fairymax (5.0b-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Point Vcs fields to Salsa
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * d/watch: version=4
  * Fix build with gcc-14
    Closes: #1074943

  [ holger@hoicher.de ]
  * Fix hanging on platforms with unsigned char
    Closes: #824910

 -- Andreas Tille <tille@debian.org>  Mon, 14 Oct 2024 14:31:03 +0200

fairymax (5.0b-1) unstable; urgency=medium

  * New upstream version
    - Update get-orig-source target in debian/rules
  * Add debian/patch/makefile.patch to fix install directories
  * debian/control:
    - fix Vcs fields
    - Standards-Version 3.9.8
  * debian/rules: build with hardening flags

 -- Vincent Legout <vlegout@debian.org>  Fri, 11 Nov 2016 09:00:11 +0100

=== debian/control ===
Source: fairymax
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Vincent Legout <vlegout@debian.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/games-team/fairymax
Vcs-Git: https://salsa.debian.org/games-team/fairymax.git
Homepage: https://home.hccnet.nl/h.g.muller/CVfairy.html
Rules-Requires-Root: no

Package: fairymax
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: xboard compatible chess and chess-variant engine
 Fairymax is a program that plays chess and chess variants. It uses the
 xboard/winboard chess-engine protocol to communicate. Apart from 'regular'
 chess (also known as the Mad-Queen variant), it can play Capablanca chess,
 gothic chess, knightmate, cylinder chess, berolina chess, superchess and
 courier chess.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

major := 5.0
minor := b

get-orig-source:
	wget "http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git;a=snapshot;h=refs/tags/$(major)$(minor);sf=tgz" -O fairymax_$(major)$(minor).orig.tar.gz

=== debian/watch ===
version=4
opts=uversionmangle=s/(.*)/\L$1/ \
http://hgm.nubati.net/cgi-bin/gitweb.cgi?p=fairymax.git;a=tags \
 /cgi-bin/gitweb.cgi\?p=fairymax.git;a=shortlog;h=refs/tags/(.+)
